import { OpenAPIHono } from '@hono/zod-openapi';
import mergeRoute from './merge/post';
import { AuthContext } from '@/server/types/context';

// 创建路由实例并聚合所有子路由
const app = new OpenAPIHono<AuthContext>()
  .route('/', mergeRoute);

export default app;